## org.apache.hadoop.mapreduce.lib.reduce
Class IntSumReducer<Key>

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<Key,IntWritable,Key,IntWritable>
          org.apache.hadoop.mapreduce.lib.reduce.IntSumReducer<Key>

    public class IntSumReducer<Key>

extends Reducer<Key,IntWritable,Key,IntWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`Reducer.Context`

Constructor Summary
`IntSumReducer()`

Method Summary
`void` `reduce(Key key, Iterable<IntWritable> values, Reducer.Context context)` This method is called once for each key.

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntSumReducer

    public IntSumReducer()

Method Detail

### reduce

    public void reduce(Key key,
                       Iterable<IntWritable> values,
                       Reducer.Context context)
                throws IOException,
                       InterruptedException

  Description copied from class: `Reducer`
  This method is called once for each key. Most applications will define their reduce class by overriding this method. The default implementation is an identity function.

  Overrides:
    `reduce` in class `Reducer<Key,IntWritable,Key,IntWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2009 The Apache Software Foundation